# Uses of Class
net.shibboleth.idp.consent.Consent

Packages that use Consent
Package
Description
net.shibboleth.idp.consent.context
Context classes related to consent flows.
net.shibboleth.idp.consent.flow.impl
Actions and flow descriptors related to consent.
net.shibboleth.idp.consent.flow.storage.impl
Actions related to consent storage.
net.shibboleth.idp.consent.logic.impl
Predicates and functions related to attribute consent.
net.shibboleth.idp.consent.storage.impl
Storage and serialization classes related to attribute consent.

## Uses of Consent in net.shibboleth.idp.consent.context

Fields in net.shibboleth.idp.consent.context with type parameters of type Consent
Modifier and Type
Field
Description
`private Map<String,Consent>`
ConsentContext.`currentConsents`
Map of current consent extracted from user input and keyed by consent id.
`private Map<String,Consent>`
ConsentContext.`previousConsents`
Map of previous consent read from storage and keyed by consent id.
Methods in net.shibboleth.idp.consent.context that return types with arguments of type Consent
Modifier and Type
Method
Description
`Map<String,Consent>`
ConsentContext.`getCurrentConsents()`
Get map of current consent extracted from user input and keyed by consent id.
`Map<String,Consent>`
ConsentContext.`getPreviousConsents()`
Get map of previous consent read from storage and keyed by consent id.

## Uses of Consent in net.shibboleth.idp.consent.flow.impl

Fields in net.shibboleth.idp.consent.flow.impl with type parameters of type Consent
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Map<String,Consent>>`
PopulateConsentContext.`function`
Function which returns the current consents.
Constructor parameters in net.shibboleth.idp.consent.flow.impl with type arguments of type Consent
Modifier
Constructor
Description
``
`PopulateConsentContext(Function<ProfileRequestContext,Map<String,Consent>> currentConsentsFunction)`
Constructor.

## Uses of Consent in net.shibboleth.idp.consent.flow.storage.impl

Fields in net.shibboleth.idp.consent.flow.storage.impl with type parameters of type Consent
Modifier and Type
Field
Description
`private StorageSerializer<Map<String,Consent>>`
AbstractConsentStorageAction.`storageSerializer`
Storage serializer.
Methods in net.shibboleth.idp.consent.flow.storage.impl that return types with arguments of type Consent
Modifier and Type
Method
Description
`StorageSerializer<Map<String,Consent>>`
AbstractConsentStorageAction.`getStorageSerializer()`
Get the storage serializer.
Method parameters in net.shibboleth.idp.consent.flow.storage.impl with type arguments of type Consent
Modifier and Type
Method
Description
`void`
AbstractConsentStorageAction.`setStorageSerializer(StorageSerializer<Map<String,Consent>> serializer)`
Set the storage serializer.

## Uses of Consent in net.shibboleth.idp.consent.logic.impl

Methods in net.shibboleth.idp.consent.logic.impl that return types with arguments of type Consent
Modifier and Type
Method
Description
`Map<String,Consent>`
AttributeReleaseConsentFunction.`apply(ProfileRequestContext input)`
`Map<String,Consent>`
MessageSourceConsentFunction.`apply(ProfileRequestContext input)`

## Uses of Consent in net.shibboleth.idp.consent.storage.impl

Methods in net.shibboleth.idp.consent.storage.impl that return types with arguments of type Consent
Modifier and Type
Method
Description
`Map<String,Consent>`
ConsentSerializer.`deserialize(long version, String context, String key, String value, Long expiration)`
Method parameters in net.shibboleth.idp.consent.storage.impl with type arguments of type Consent
Modifier and Type
Method
Description
`String`
ConsentSerializer.`serialize(Map<String,Consent> consents)`